import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import axios from './axios/services'
import Base64 from './utils/base64.js'

import './assets/css/font.css'
import './assets/css/base.css'

Vue.config.productionTip = false

import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
Vue.use(ElementUI);
import 'lib-flexible';

import './assets/css/element-changeStyle.css';
Vue.prototype.$axios = axios;
Vue.prototype.$Base64 = Base64;

import common from './utils/common'
Vue.prototype.$common = common;

import { TreeSelect } from 'ant-design-vue';
import 'ant-design-vue/dist/antd.css';
Vue.use(TreeSelect);


new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
